Move to AutoCAD Architecture 2009 from a Previous Release

Migrate Custom Settings and Files from Previous Releases
Move to AutoCAD Architecture 2009 from a Previous Release

If you have a previous version of AutoCAD Architecture installed on your system, you can install AutoCAD Architecture 2009 and keep other versions of the program on the same system. This is called a side-by-side installation. If you've purchased an upgrade version of AutoCAD Architecture, you are required to uninstall the previous version within 120 days of installing AutoCAD Architecture 2009. See your license agreement for more information.

In this section, you learn about migrating from previous releases, using customized files from previous releases, and locating customized files.

Topics in this section

  • Migrate Custom Settings and Files from Previous Releases
  • Locate Customized Files
Please send us your comment about this page


Migrate Custom Settings and Files from Previous Releases

Move to AutoCAD Architecture 2009 from a Previous Release
Move to AutoCAD Architecture 2009 from a Previous Release
Migrate Custom Settings
Move to AutoCAD Architecture 2009 from a Previous Release >
Migrate Custom Settings and Files from Previous Releases

You can migrate your custom settings and files from previous releases of AutoCAD Architecture (Architectural Desktop 2004 through AutoCAD Architecture 2008) to AutoCAD Architecture 2009. It is recommended that you migrate from a previous release when you first use AutoCAD Architecture 2009 or soon thereafter. Migrating right away prevents you from overwriting files or having to keep track of any custom settings you may make in the new release.

ImportantIf you are working with a 64-bit system, you cannot migrate your custom settings with this release of AutoCAD Architecture.

You can use the following tools to migrate settings and files:

  • Migrate Custom Settings dialog box. Migrates user profiles, CUI files, AutoCAD Architecture and user-defined linetype files, AutoCAD Architecture and user-defined hatch patterns, and the acad.pgp file (a file that stores command definitions and aliases). The Migrate Custom Settings dialog box is displayed when you start AutoCAD Architecture for the first time. You can also migrate settings later from the Start menu (Windows).
  • Customize User Interface dialog box. Converts legacy menu files (MNU and MNS) to the CUI format while leaving the original MNU or MNS file unchanged. Migrating user interface elements, transferring data between customized files, and customizing user interface elements are simplified in this dialog box. For more information about the CUI format and how migration of menu files has been simplified, see Customize the User Interface in the Customization Guide.
  • Migration tools. Aid migration of settings or files that cannot be automatically migrated (such as AutoLISP® files and the accompanying MNL files) or that require you to make a decision about which files to migrate (such as which files in a set of drawing files). Download these migration tools by visiting www.autodesk.com and then performing a search on Migration Tools.
NoteFor information about customizing files and settings, see the Customization Guide, accessible from the Documentation link on the AutoCAD Architecture 2009 Installation wizard and in the Help system.

Topics in this section

  • Migrate Custom Settings
  • Use Migration Tools


Migrate Custom Settings

Migrate Custom Settings and Files from Previous Releases
Migrate Custom Settings and Files from Previous Releases
View the Migration Log File
Move to AutoCAD Architecture 2009 from a Previous Release > Migrate Custom Settings and Files from Previous Releases >
Migrate Custom Settings

If you install AutoCAD Architecture 2009 on a computer where a previous release of AutoCAD Architecture (Architectural Desktop 2004 through AutoCAD Architecture 2008) is installed, you can migrate some custom settings from a previous release to AutoCAD Architecture 2009.

Migrate the user profile. The user profile contains drawing environment settings such as screen color, cursor size, command line window font, and the dictionary to use for checking spelling. The user profile also includes the folders in which AutoCAD Architecture searches for support, driver, customization, and other files.

Migrate linetypes, hatch patterns, and command aliases that you created. The data from these files is added to a user-defined section of the AutoCAD Architecture 2009 files, to make it easy for you to find this information and migrate this data to future releases. You cannot use the Migrate Custom Settings dialog box to migrate shell commands or comments that you made to your acad.pgp file.

NoteIf you have made changes to partial plotter configuration (PC3) files that are located in a custom folder, those files are migrated to the AutoCAD Architecture 2009 PC3 folder, which is located under your custom PC3 folder. PC3 files are migrated to a separate folder to maintain backward compatibility with previous AutoCAD Architecture releases.

The following table lists the files that are migrated with the Migrate Custom Settings dialog box, a description of each file, and file details to help you decide if you want to migrate a file.

Files Migrated with the Migrate Custom Settings Dialog Box

File Name

File Description

Details

*.arg

Used to back up user profile information from the system registry. The ARG file is not migrated. Registry settings are migrated.

Changes you make to your user profile are stored in the system registry and are migrated.

*.lin

Stores your user-defined linetypes.

User-defined linetype files are migrated.

acad.lin

Contains standard linetype definitions (an AutoCAD Architecture library file).

The file itself is not migrated; however, any linetypes that you created in this file are migrated to the AutoCAD Architecture 2009 acad.lin file, in the User Defined Linetypes section of the file.

acadiso.lin

Contains metric linetype definitions (an AutoCAD Architecture library file).

The file itself is not migrated; however, any linetypes that you created in this file are migrated to the AutoCAD Architecture 2009 acadiso.lin file, in the User Defined Linetypes section of the file.

*.pat

Stores user-defined hatch patterns.

User-defined hatch pattern files are migrated.

acad.pat

Contains standard hatch pattern definitions (an AutoCAD Architecture library file).

The file itself is not migrated; however, any hatch patterns that you created in this file are copied to the AutoCAD Architecture 2009 acad.pat file, in the User Defined Hatch Patterns section of the file.

acadiso.pat

Contains metric hatch pattern definitions (an AutoCAD Architecture library file).

The file itself is not migrated; however, any metric hatch patterns that you created in this file are copied to the AutoCAD Architecture 2009 acadiso.pat file, in the User Defined Hatch Patterns section of the file.

acad.pgp

Stores shell commands and command alias definitions (a program parameters file in ASCII text form).

The file itself is not migrated; however, any command aliases you created in this file are copied to the AutoCAD Architecture 2009 acad.pgp file.

*.mnu

Contains menu customization from a version of AutoCAD Architecture earlier than Architectural Desktop 2006.

The file itself is not migrated; however, a copy of the file is created and then is converted into a CUI file with the same name. The new CUI file is placed in the same folder as the main CUI file. A MNU file is converted when a MNS file with the same name is not found.

*.mns

Contains menu customization from a version of AutoCAD Architecture earlier than Architectural Desktop 2006.

The file itself is not migrated; however, a copy of the file is created and then is converted into a CUI file with the same name. The new CUI file is placed in the same folder as the main CUI file. A MNS file is converted when a MNU file with the same name is present or not.

*.cui

Contains customizations from a version of AutoCAD Architecture starting with Architectural Desktop 2007.

If the CUI file is supplied by Autodesk, the custom changes made to the file are migrated to the newer version of the CUI file.

If the CUI file is not supplied by Autodesk, the file is migrated and is copied to where the main CUI file is located, unless the CUI file is in a network location. In that case, the file is migrated but is not copied to the location of the main CUI file.

Enterprise CUI files are not migrated automatically. You must migrate them manually.

Before the MNU, MNS, and CUI files are migrated, a backup copy of each file is saved in the following directory:

\Documents and Settings\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Previous Version Custom Files

NoteOther custom settings and files can be migrated using Autodesk migration tools. For more information about migration tools, see Use Migration Tools.

To migrate custom settings when you start AutoCAD Architecture 2009

  1. Start AutoCAD Architecture 2009.
  2. In the Migrate Custom Settings dialog box, in the Migrate Settings From list, select the AutoCAD Architecture release from which you want to migrate your custom settings.
  3. In the Settings and Files to Migrate box, select the custom files that you want to migrate.
  4. Click OK.
  5. In the Migrate Custom Settings message, click OK to view the log file, or click No if you do not want to view the log file now.
    NoteYou can view the log file at another time. For information about accessing the log file at another time, see View the Migration Log File.

Each time the Migrate Custom Settings dialog box is used, AutoCAD Architecture resets the program’s default CUI file from the UserDataCache folder and then migrates any customization done in a previous release forward.

To migrate custom settings from the Start menu (Windows)

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] Migrate Custom Settings [image] Migrate From a Previous Release.
  2. In the Migrate Custom Settings dialog box, in the Migrate Settings From list, select the AutoCAD Architecture release from which you want to migrate your custom settings.
  3. In the Settings and Files to Migrate box, select the custom files that you want to migrate.
  4. Click OK.
  5. In the Migrate Custom Settings message, click OK to view the log file, or click No if you do not want to view the log file.
NoteTo be accessible, pull-down menus that are migrated from a MNU/MNS file to a CUI file need to be added to a workspace.

Topics in this section

  • View the Migration Log File
  • Restore AutoCAD Architecture 2009 Profiles After Migrating Files from an Earlier Release


View the Migration Log File

Migrate Custom Settings
Migrate Custom Settings
Restore AutoCAD Architecture 2009 Profiles After Migrating Files from an Earlier Release
Move to AutoCAD Architecture 2009 from a Previous Release > Migrate Custom Settings and Files from Previous Releases > Migrate Custom Settings >
View the Migration Log File

The migration log file (migration.xml) provides specific information about any settings or files that were not successfully migrated to AutoCAD Architecture 2009. The log file shows all the files that were successfully copied from a previous version to AutoCAD Architecture 2009. It also provides information about files that were not successfully migrated. Use the log for troubleshooting if there are unwanted or unexpected results in your AutoCAD Architecture 2009 profiles.

After you use the Migrate Custom Settings dialog box to migrate custom settings and files, a message is displayed from which you open the migration log file. You can view the migration log file at that time. You can also navigate to the file if you want to view the log details another time.

To locate and view the migration log file

  1. In Windows Explorer, navigate to the following location:

    \Documents and Settings\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Migration.

  2. Double-click migration.xml to open the file, and view the details of your migration.


Restore AutoCAD Architecture 2009 Profiles After Migrating Files from an Earlier Release

View the Migration Log File
Migrate Custom Settings
Use Migration Tools
Move to AutoCAD Architecture 2009 from a Previous Release > Migrate Custom Settings and Files from Previous Releases > Migrate Custom Settings >
Restore AutoCAD Architecture 2009 Profiles After Migrating Files from an Earlier Release

After you migrate your profiles from an earlier AutoCAD Architecture release, you may want to restore the AutoCAD Architecture 2009 default profile settings.

To restore the AutoCAD Architecture 2009 default profiles

  1. Click Format menu [image] Options.
  2. In the Options dialog box, on the Profiles tab, click the profile you want to restore, and then click Reset.

    The current profile is displayed at the top of the Profiles tab.

  3. Click Yes. The profile is reset to the AutoCAD Architecture 2009 default profile.
    ImportantYou cannot restore the current profile.


Use Migration Tools

Restore AutoCAD Architecture 2009 Profiles After Migrating Files from an Earlier Release
Migrate Custom Settings and Files from Previous Releases
Locate Customized Files
Move to AutoCAD Architecture 2009 from a Previous Release > Migrate Custom Settings and Files from Previous Releases >
Use Migration Tools

Migration tools take the guesswork out of updating your custom files from previous releases. The tools help you to share drawings when you upgrade to a new release of AutoCAD Architecture. You can download the migration tools in several languages from the Autodesk website.

NoteBecause these are public tools, product support for them is limited to the Autodesk discussion groups.

The migration tools are as follows:

  • DWG TrueView 2009. You can view, plot, and convert any AutoCAD Architecture drawing file back to Architectural Desktop Release 1.
  • ScriptPro. Facilitates scripting in AutoCAD Architecture. Using ScriptPro, you can apply a set of commands to multiple drawings by simply specifying a script file and the list of drawings to which you want to apply the script.
  • AutoLISP Compatibility Analyzer. Details AutoCAD Architecture 2009 compatibility issues found in AutoLISP files and the accompanying menu (MNL) files. When a compatibility issue is found, the tool provides an explanation of the issue and suggestions on how to correct it.


Locate Customized Files

Use Migration Tools
Move to AutoCAD Architecture 2009 from a Previous Release
Locate Data Link Files
Move to AutoCAD Architecture 2009 from a Previous Release >
Locate Customized Files

Beginning with AutoCAD Architecture 2004, the location of some of your customized files has changed. The reasons for the file location changes include the following:

  • Limited user rights on a workstation. You can run AutoCAD Architecture as a limited user. This means that you no longer need power user or Administrator permissions to run AutoCAD Architecture once it is installed.
  • Roaming profiles. Roaming profiles allow you to log on to any computer within a network and retain your user settings. Some files, such as your personal settings and documents, follow you from computer to computer, while other files, such as templates (including Publish to Web templates), reside only on your system.

    If roaming profiles are allowed on your network, your “roamable” files are located in the \Application Data\Autodesk\<Product Version> folder, and your “nonroamable” files are located in the \Local Settings\Application Data\Autodesk\<Product Version> folder.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

Topics in this section

  • Locate Data Link Files
  • Locate Plot Style Files
  • Locate Plotter Files
  • Locate the PMP File
  • Locate Support Files
  • Locate Drawing Template Files
  • Locate Texture Files


Locate Data Link Files

Locate Customized Files
Locate Customized Files
Locate Plot Style Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Data Link Files

Beginning with Architectural Desktop 2004, the default location of your data link files has changed. For information about the default location of these files, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your data link files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Data Sources Location.
  4. Under Data Sources Location, click the path name to view the location of your data link files.
    NoteThe changes you make do not take effect until you restart the program.


Locate Plot Style Files

Locate Data Link Files
Locate Customized Files
Locate Plotter Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Plot Style Files

Beginning with Architectural Desktop 2004, the default location of your plot style files has changed. For information about the default location of these files, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your plot style files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Printer Support File Path.
  4. Click the plus sign (+) to the left of the Plot Style Table Search Path file.
  5. Under Plot Style Table Search Path, click the path name to view the location of your plot style files.
NoteYou can also locate your plot style files by entering stylesmanager on the AutoCAD Architecture command line.


Locate Plotter Files

Locate Plot Style Files
Locate Customized Files
Locate the PMP File
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Plotter Files

Beginning with Architectural Desktop 2004, the default location of your plotter files has changed. For information about the default location of these files, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your plotter files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Printer Support File Path.
  4. Click the plus sign (+) to the left of Printer Configuration Search Path.
  5. Under Printer Configuration Search Path, click the path name to view the location of your plotter files.
NoteYou can also locate your plotter files by entering plottermanager on the AutoCAD Architecture command line.


Locate the PMP File

Locate Plotter Files
Locate Customized Files
Locate Support Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate the PMP File

Beginning with Architectural Desktop 2004, the default location of your PMP file has changed. For information about the default location of this file, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your PMP file

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Printer Support File Path.
  4. Under Printer Description File Search Path, click the path name to view the location of your PMP file.


Locate Support Files

Locate the PMP File
Locate Customized Files
Locate Drawing Template Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Support Files

Beginning with Architectural Desktop 2004, the default location for some of your support files has changed. For information about the default location of these files, see Locate Customized Files.

Support files include the following:

  • Configuration file (acad2009.cfg)
  • Customization file (acad.cui)
  • Custom icon files
  • Help and miscellaneous files
  • Font mapping file (acad.fmp)
  • Alternate font file (simplex.shx)
  • Support path files (acad.dcl, acad.lin, acad.mnl, acad.pat, acad.pgp, acad.psf, acad.unt, acadiso.lin, acadiso.pat, ase.dcl, base.dcl, dbcon.cui, doshelp.dcl, and gdt.shx)
NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To find the default location of the configuration file

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Help and Miscellaneous File Names.
  4. Click the plus sign (+) to the left of Configuration File.
  5. Under Configuration File, click the path name to view the location of your configuration file.

To find the default location of the customization files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Customization Files.
  4. Click the plus sign (+) to the left of Main Customization File.
  5. Under Main Customization File, click the path name to view the location of your main customization file.
  6. Click the plus sign (+) to the left of Enterprise Customization File.
  7. Under Enterprise Customization File, click the path name to view the location of your enterprise customization files.
    NoteBy default, the path to an enterprise customization file is empty until you define the file. For more information about defining a customization file, see “Customize the User Interface” in the Customization Guide.

To find the default location of the custom icon files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Customization Files.
  4. Under Custom Icon Location, click the path name to view the location for the custom button image files used with your customization files.

To find the default location of the Help and miscellaneous files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Help and Miscellaneous File Names to expand the list.
  4. Click the plus sign (+) to the left of the file you want to locate, and then click the path name to view the location of the files.

To find the default location of the font mapping file

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Text Editor, Dictionary, and Font File Names.
  4. Click the plus sign (+) to the left of Font Mapping File.
  5. Under Font Mapping File, click the path name to view the location of your font mapping file.

To find the default location of the alternate font file

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Text Editor, Dictionary, and Font File Names.
  4. Click the plus sign (+) to the left of Alternate Font File.
  5. Under Alternate Font File, click the path name to view the location of your alternate font file.

To find the default location of the support path files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Support File Search Path.
  4. Under Support File Search Path, click a path name to view the location of your support files.


Locate Drawing Template Files

Locate Support Files
Locate Customized Files
Locate Texture Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Drawing Template Files

Beginning with Architectural Desktop 2004, the default location of your drawing template files has changed. For information about the default location of these files, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your drawing template files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Template Settings.
  4. Under Template Settings, click the plus sign (+) to the left of Drawing Template File Location.
  5. Under Drawing Template File Location, click the path name to view the location of your drawing template files.


Locate Texture Files

Locate Drawing Template Files
Locate Customized Files
Move to AutoCAD Architecture 2009 from a Previous Release > Locate Customized Files >
Locate Texture Files

Beginning with Architectural Desktop 2004, the default location of your texture files has changed. For information about the default location of these files, see Locate Customized Files.

NoteIn some operating systems, the folders that are located under your profile are hidden by default. To display these files, you may need to change your display settings. On the Start menu, click Control Panel [image] Folder Options. In the Folder Options dialog box, on the View tab, click Show Hidden Files and Folders.

To locate your texture files

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] AutoCAD Architecture 2009 [image] AutoCAD Architecture 2009.
  2. Click Format menu [image] Options.
  3. In the Options dialog box, Files tab, click the plus sign (+) to the left of Texture Maps Search Path.
  4. Under Texture Maps Search Path, click the path name to view the location of your texture files.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!